diff mbox series

[xfstests-bld] gen-tarball: add 'set -e'

Message ID 20201101172450.479000-1-ebiggers@kernel.org (mailing list archive)
State New, archived
Headers show
Series [xfstests-bld] gen-tarball: add 'set -e' | expand

Commit Message

Eric Biggers Nov. 1, 2020, 5:24 p.m. UTC
From: Eric Biggers <ebiggers@google.com>

The latest master branch of xfstests is missing a Makefile in
tests/ceph/, which broke xfstests's 'make install'.  But gen-tarball
didn't notice this.  Fix this by adding 'set -e', and to make this work
adjust a couple other commands that are expected to fail.

Signed-off-by: Eric Biggers <ebiggers@google.com>
---
 gen-tarball | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

Comments

Eric Biggers Nov. 11, 2020, 7:21 p.m. UTC | #1
On Sun, Nov 01, 2020 at 09:24:50AM -0800, Eric Biggers wrote:
> From: Eric Biggers <ebiggers@google.com>
> 
> The latest master branch of xfstests is missing a Makefile in
> tests/ceph/, which broke xfstests's 'make install'.  But gen-tarball
> didn't notice this.  Fix this by adding 'set -e', and to make this work
> adjust a couple other commands that are expected to fail.
> 
> Signed-off-by: Eric Biggers <ebiggers@google.com>
> ---
>  gen-tarball | 12 +++++++++---
>  1 file changed, 9 insertions(+), 3 deletions(-)
> 

Ping.  Ted, are you planning to apply this?  The master branch of xfstests is
fixed now, but this gen-tarball change would still be good to have.

- Eric
Eric Biggers Nov. 11, 2020, 9:25 p.m. UTC | #2
On Wed, Nov 11, 2020 at 11:21:52AM -0800, Eric Biggers wrote:
> On Sun, Nov 01, 2020 at 09:24:50AM -0800, Eric Biggers wrote:
> > From: Eric Biggers <ebiggers@google.com>
> > 
> > The latest master branch of xfstests is missing a Makefile in
> > tests/ceph/, which broke xfstests's 'make install'.  But gen-tarball
> > didn't notice this.  Fix this by adding 'set -e', and to make this work
> > adjust a couple other commands that are expected to fail.
> > 
> > Signed-off-by: Eric Biggers <ebiggers@google.com>
> > ---
> >  gen-tarball | 12 +++++++++---
> >  1 file changed, 9 insertions(+), 3 deletions(-)
> > 
> 
> Ping.  Ted, are you planning to apply this?  The master branch of xfstests is
> fixed now, but this gen-tarball change would still be good to have.
> 

Actually, I missed one case where a failure is expected -- the case where
kvm-xfstests/test-appliance/debs doesn't exist.  I'll send v2.

- Eric
diff mbox series

Patch

diff --git a/gen-tarball b/gen-tarball
index 7d38b95..f925b39 100755
--- a/gen-tarball
+++ b/gen-tarball
@@ -1,5 +1,7 @@ 
 #!/bin/bash
 
+set -e
+
 if test -f config.custom ; then
 	. config.custom
 else
@@ -72,15 +74,19 @@  if test -d bld/usr/bin ; then
     cp bld/usr/bin/* xfstests/bin
 fi
 cp bld/lib/client.txt xfstests/lib
-cp bld/lib/libimaevm.so.0.0.0 xfstests/lib
-ln -s libimaevm.so.0.0.0 xfstests/lib/libimaevm.so.0
+# ima-evm-utils is optional.
+if test -e bld/lib/libimaevm.so.0.0.0; then
+    cp bld/lib/libimaevm.so.0.0.0 xfstests/lib
+    ln -s libimaevm.so.0.0.0 xfstests/lib/libimaevm.so.0
+fi
 rm -f xfstests/bin/compile_et xfstests/bin/mk_cmds
 for i in ltp/fsstress ltp/fsx ltp/aio-stress src/godown
 do
     ln -s ../$i xfstests/bin
 done
 echo "STRIP xfstests/*"
-find xfstests -mindepth 2 -type f -perm /0111 | xargs $STRIP 2> /dev/null
+find xfstests -mindepth 2 -type f -perm /0111 | xargs $STRIP 2> /dev/null \
+    || true
 echo "TAR xfstests"
 find xfstests blktests -path blktests/.git -prune -o -print0 | \
     LC_ALL=C sort -z | \